From 99d01a48aa9e4a131767e8565e6a678c54a7555a Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Tue, 23 Feb 2016 20:37:57 +0800
Subject: [PATCH 1/3] Document where to find PostgreSQL's tests

---
 src/test/README         | 40 ++++++++++++++++++++++++++++++++++++++++
 src/test/modules/README | 13 +++++++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 src/test/README
 create mode 100644 src/test/modules/README

diff --git a/src/test/README b/src/test/README
new file mode 100644
index 0000000..7ed0706
--- /dev/null
+++ b/src/test/README
@@ -0,0 +1,40 @@
+PostgreSQL tests
+================
+
+This directory contains a variety of test infrastructure as well as some of the
+tests in PostgreSQL. Not all tests are here - in particular, there are more in
+individual contrib/ modules and in src/bin.
+
+Not all these tests get run by "make check". Check src/test/Makefile to see
+which tests get run automatically.
+
+examples/
+  demo programs for libpq that double as regression tests via "make check"
+
+isolation/
+  tests for concurrent behaviours at the SQL level
+
+locale/
+  sanity checks for locale data, encodings, etc
+
+mb/
+  tests for multibyte encoding (UTF-8) support
+
+modules/
+  extensions used only or mainly for test purposes, generally not useful
+  or suitable for installing in production databases. Some of these have
+  their own tests, some are used by tests elsewhere.
+
+perl/
+  infrastructure for Perl-based Test::More tests. There are no actual tests
+  here, the code is used by other tests in src/bin/, contrib/ and in the
+  subdirectories of src/test.
+
+regress/
+  PostgreSQL's main regression test suite, pg_regress
+
+ssl/
+  Tests to exercise and verify SSL certificate handling
+
+thread/
+  A thread-safety-testing utility used by configure, see its README
diff --git a/src/test/modules/README b/src/test/modules/README
new file mode 100644
index 0000000..42c5d38
--- /dev/null
+++ b/src/test/modules/README
@@ -0,0 +1,13 @@
+Test extensions and libraries
+=============================
+
+src/test/modules contains PostgreSQL extensions that are primarily or entirely
+intended for testing PostgreSQL and/or to serve as example code. The extensions
+here aren't intended to be installed in a production server and aren't useful
+for "real work".
+
+Most extensions have their own pg_regress tests. Some are also used by tests
+elsewhere in the test tree.
+
+If you're adding new hooks or other functionality exposed as C-level API this
+is where to add the tests for it.
-- 
2.1.0

